[jira] Created: (TIKA-329) secure-processing not supported by some JAXP implementations (2)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (TIKA-329) secure-processing not supported by some JAXP implementations (2)

JIRA jira@apache.org
secure-processing not supported by some JAXP implementations (2)
----------------------------------------------------------------

                 Key: TIKA-329
                 URL: https://issues.apache.org/jira/browse/TIKA-329
             Project: Tika
          Issue Type: Bug
          Components: parser
            Reporter: Julien Nioche
             Fix For: 0.6


Related to http://issues.apache.org/jira/browse/TIKA-271

Some of the parsers try to set the secure-processing feature that JAXP requires all parser implementations to support. Unfortunately some XML parsers don't support the feature, which causes the following exception:

org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.XMLConstants/feature/secure-processing' is not recognized.



--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Updated: (TIKA-329) secure-processing not supported by some JAXP implementations (2)

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/TIKA-329?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Julien Nioche updated TIKA-329:
-------------------------------

    Attachment: TIKA-329.patch

> secure-processing not supported by some JAXP implementations (2)
> ----------------------------------------------------------------
>
>                 Key: TIKA-329
>                 URL: https://issues.apache.org/jira/browse/TIKA-329
>             Project: Tika
>          Issue Type: Bug
>          Components: parser
>            Reporter: Julien Nioche
>             Fix For: 0.6
>
>         Attachments: TIKA-329.patch
>
>
> Related to http://issues.apache.org/jira/browse/TIKA-271
> Some of the parsers try to set the secure-processing feature that JAXP requires all parser implementations to support. Unfortunately some XML parsers don't support the feature, which causes the following exception:
> org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.XMLConstants/feature/secure-processing' is not recognized.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply | Threaded
Open this post in threaded view
|

[jira] Resolved: (TIKA-329) secure-processing not supported by some JAXP implementations (2)

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/TIKA-329?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Jukka Zitting resolved TIKA-329.
--------------------------------

    Resolution: Fixed
      Assignee: Jukka Zitting

Thanks! Patch applied in revision 885311.

> secure-processing not supported by some JAXP implementations (2)
> ----------------------------------------------------------------
>
>                 Key: TIKA-329
>                 URL: https://issues.apache.org/jira/browse/TIKA-329
>             Project: Tika
>          Issue Type: Bug
>          Components: parser
>            Reporter: Julien Nioche
>            Assignee: Jukka Zitting
>             Fix For: 0.6
>
>         Attachments: TIKA-329.patch
>
>
> Related to http://issues.apache.org/jira/browse/TIKA-271
> Some of the parsers try to set the secure-processing feature that JAXP requires all parser implementations to support. Unfortunately some XML parsers don't support the feature, which causes the following exception:
> org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.XMLConstants/feature/secure-processing' is not recognized.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.